var roomArray = ['vr', 'oc', 'di', 'did', 'do', 'dod', 'vd', 'oo', 'sv', 'lk', 'tl', 'ap', 'xx'];
var $popupRoom = $$('.popup-room');
var $roomContainer = $$('.room-container');

$$('.popup-room .list-block a').each(function(index, item) {
	index += 1;
	if (index % 4 == 0) {
		$$(item).css('margin-right', 0);
	}
});

$popupRoom.find('.room').on('click', function() {
	var thisClass = $$(this).attr('class');
	var getColor = $$(this).data('background');
	var hasClass = $$(this).hasClass(getColor);
	if(hasClass) {
		$$(this).removeClass(getColor);
		unique(roomArray, getColor);
		$roomContainer.find('.'+getColor).hide();
	} else {
		$$(this).addClass(getColor);
		unique(roomArray, getColor);
		roomArray.push(getColor);
		$roomContainer.find('.'+getColor).show();
	}
});

$$('.open-room').on('click', function () {
	app.popup('.popup-room');
	console.log('默认：'+roomArray);
});

$$('.close-room').on('click', function () {
	app.closeModal('.popup-room');
});

// 数组去重功能
function unique(arr, val) {
	for(var i = 0; i < arr.length; i++) {
		if(arr[i] == val) {
			arr.splice(i, 1);
			break;
		}
	}
}

function allSelete() {
	$popupRoom.children().children('a').each(function(index, item) {
		var getColor = $$(item).data('background');
		$$(item).addClass(getColor);
		$roomContainer.children().show()
	});
}

function allCancel() {
	$popupRoom.children().children('a').each(function(index, item) {
		var getColor = $$(item).data('background');
		$$(item).removeClass(getColor);
		$roomContainer.children().hide()
	});
}