//  获取门店数据列表
$$.ajax({
	url: URL + 'Web/WebReport/getStroeList',
	method: 'POST',
	data: {
		is_ajax: 1,
		token: localStorage.getItem('token'),
	},
	dataType: 'json',
	error: function(err) {
		console.log(err);
	},
	success: function(data) {
		$$.each(data.data, function(index, item) {
			var newHTML = '<option>'+item.Name+'</option>';
			$$('select').append(newHTML);
		});
	}
});

$$('.yes').on('click', function() {
	var $dayRoom = $$('.day-room');
	var $dayProbability = $$('.day-probability');
	var $dayAverage = $$('.day-average');
	var $monthRoom = $$('.month-room');
	var $monthProbability = $$('.month-probability');
	var $monthAverage = $$('.month-average');
	var $dateEnd = $$('#date-end').val();

	if ($dateEnd == '') {
		app.alert('温馨提示', '请选择日期后再查询。');
	} else {
		app.showPreloader('加载中');
		$$.ajax({
			url: URL + 'Web/WebReport/jdyyzbCountData',
			method: 'POST',
			data: {
				is_ajax: 1,
				token: localStorage.getItem('token'),
				stime: $dateEnd,
				etime: $dateEnd,
				type: 3
			},
			dataType: 'json',
			success: function(data) {
				console.log(data);

				if (data.code == 0) {
					app.hidePreloader();
					var dayProbabilityFormula = ((data.data.todayIIO/data.data.todayTotalRoom) * 100).toFixed(2) + '%';
					var dayAverageFormula = (data.data.todayRent/data.data.todayIIO).toFixed(2) + '元';
					var monthProbabilityFormula = ((data.data.monthIIO/data.data.monthTotalRooms) * 100).toFixed(2) + '%';
					var monthAverageFormula = (data.data.monthRent/data.data.monthIIO).toFixed(2) + '元';

					$dayRoom.text(data.data.todayIIO + '间');
					if (data.data.todayTotalRoom == 0 || data.data.todayIIO == 0) {

					} else {
						$dayProbability.text(dayProbabilityFormula);
						$dayAverage.text(dayAverageFormula);
					}

					$monthRoom.text(data.data.monthIIO + '间');
					$monthProbability.text(monthProbabilityFormula);
					$monthAverage.text(monthAverageFormula);
				}
			}
		});

		// 表格数据统计
		$$.ajax({
			url: URL + 'Web/WebReport/jdyyzbCountDataForTab',
			method: 'POST',
			data: {
				is_ajax: 1,
				token: localStorage.getItem('token'),
				stime: $dateEnd,
				etime: $dateEnd,
				type: 3
			},
			dataType: 'json',
			success: function(data) {
				console.log(data);

				var html = '';
				var todayIIOSum = 0;
				var todayRentSum = 0;
				var dayAvgRentSum = 0;
				var monthIIOSum = 0;
				var monthRentSum = 0;
				var monthAvgRentSum = 0;

				$$.each(data.data.countData, function(index, item) {
					$$.each(item, function(key, value) {
						todayIIOSum += value.todayIIO;
						todayRentSum += value.todayRent;
						dayAvgRentSum = (todayRentSum/todayIIOSum).toFixed(2);

						monthIIOSum += value.monthIIO;
						monthRentSum += value.monthRent;
						monthAvgRentSum = (monthRentSum/monthIIOSum).toFixed(2);

						var dayAvgRent;
						value.todayIIO == 0 ? dayAvgRent = '0': dayAvgRent = (value.todayRent/value.todayIIO).toFixed(2);
						
						var monthAvgRent;
						value.monthIIO == 0 ? monthAvgRent = '0': monthAvgRent = (value.monthRent/value.monthIIO).toFixed(2);

						html += '<tr>';
						html += '<td>'+value.storeName+'</td>';
						html += '<td>'+value.roomName+'</td>';
						html += '<td>'+value.todayIIO+'</td>';
						html += '<td>'+value.todayRent+'</td>';
						html += '<td>'+dayAvgRent+'</td>';
						html += '<td>'+value.monthIIO+'</td>';
						html += '<td>'+value.monthRent+'</td>';
						html += '<td>'+monthAvgRent+'</td>';
						html += '</tr>';
					});
				});

				html += '<tr>';
				html += '<td>合计</td>';
				html += '<td>/</td>';
				html += '<td>'+todayIIOSum+'</td>';
				html += '<td>'+todayRentSum+'</td>';
				html += '<td>'+dayAvgRentSum+'</td>';
				html += '<td>'+monthIIOSum+'</td>';
				html += '<td>'+monthRentSum+'</td>';
				html += '<td>'+monthAvgRentSum+'</td>';
				html += '</tr>';
				$$('.tbody').html(html);
			}
		});
	}
});