//  获取门店数据列表
$$.ajax({
	url: URL + 'Web/WebReport/getStroeList',
	method: 'POST',
	data: {
		is_ajax: 1,
		token: localStorage.getItem('token'),
	},
	dataType: 'json',
	error: function(err) {
		console.log(err);
	},
	success: function(data) {
		$$.each(data.data, function(index, item) {
			var newHTML = '<option>'+item.Name+'</option>';
			$$('select').append(newHTML);
		});
	}
});

$$('.yes').on('click', function() {
	var $dateEnd = $$('#date-end').val();
	if ($dateEnd == '') {
		app.alert('温馨提示', '请选择日期后再查询。');
	} else {
		app.showPreloader('加载中');
		$$.ajax({
			url: URL + 'Web/WebReport/kfxstjGetCountData',
			method: 'POST',
			data: {
				is_ajax: 1,
				token: localStorage.getItem('token'),
				stime: $dateEnd,
				etime: $dateEnd,
				type: 3
			},
			dataType: 'json',
			success: function(data) {
				console.log(data);

				if (data.code == 0) {
					app.hidePreloader();
					var html = '';
					var date = data.data.stime;
					if (data.data.countData != '') {
						$$.each(data.data.countData, function(index, item) {
							$$.each(item, function(kay, value) {
								console.log(value);
								html += '<tr>';
								html += '<td>'+value.storeName+'</td>';
								html += '<td>'+date+'</td>';
								html += '<td>'+value.typeName+'</td>';
								html += '<td>'+value.todayRoomNum+'</td>';
								html += '<td>'+value.todayARAmount+'</td>';
								html += '<td>'+value.monthRoomNum+'</td>';
								html += '<td>'+value.monthARAmount+'</td>';
								html += '</tr>';
							});
						});
					} else {
						html += '<tr>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '</tr>';
						app.alert('温馨提示', '您查询的日期没有数据，请查询其他日期。');
					}
					$$('.tbody').html(html);
				}
			}
		});
	}
});