//  获取门店数据列表
$$.ajax({
	url: URL + 'Web/WebReport/getStroeList',
	method: 'POST',
	data: {
		is_ajax: 1,
		token: localStorage.getItem('token'),
	},
	dataType: 'json',
	error: function(err) {
		console.log(err);
	},
	success: function(data) {
		$$.each(data.data, function(index, item) {
			var newHTML = '<option>'+item.Name+'</option>';
			$$('select').append(newHTML);
		});
	}
});

$$('.yes').on('click', function() {
	var $total = $$('.consumption-total');
	var $member = $$('.consumption-member');
	var $exceed = $$('.consumption-exceed');
	var $less = $$('.consumption-less');
	var $dateStart = $$('#date-start').val();
	var $dateEnd = $$('#date-end').val();

	if ($dateStart == '' || $dateEnd == '') {
		app.alert('温馨提示', '请选择日期后再查询。');
	} else {
		app.showPreloader('加载中');
		$$.ajax({
			url: URL + 'Web/WebReport/krxffxGetCountData',
			method: 'POST',
			data: {
				is_ajax: 1,
				token: localStorage.getItem('token'),
				stime: $dateStart,
				etime: $dateEnd
			},
			dataType: 'json',
			success: function(data) {
				console.log(data);
				if (data.data.countData.Amount == null || data.data.countData.memberNum == null || data.data.countData.dywb == null || data.data.countData.xyeb == null) {
					$total.text('0元');
					$member.text('0人');
					$exceed.text('0人');
					$less.text('0人');
					return false;
				} else {
					$total.text(data.data.countData.Amount + '元');
					$member.text(data.data.countData.memberNum + '人');
					$exceed.text(data.data.countData.dywb + '人');
					$less.text(data.data.countData.xyeb + '人');
				}
			}
		});

		// 表格数据统计
		$$.ajax({
			url: URL + 'Web/WebReport/krxffxGetCountDataForTab',
			method: 'POST',
			data: {
				is_ajax: 1,
				token: localStorage.getItem('token'),
				stime: $dateStart,
				etime: $dateEnd,
				type: 3
			},
			dataType: 'json',
			success: function(data) {
				console.log(data);

				app.hidePreloader();
				if (data.code == 0) {
					var html = '';
					var storeArr = data.data.storeArr;
					if (data.data.countData == null) {
						app.alert('温馨提示', '您查询的日期没有数据，请查询其他日期。');
						$$('.tbody tr').remove();
						html = '<tr>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '<td>暂无数据</td>';
						html += '</tr>';
						$$('.tbody').html(html);
						return false;
					} else {
						$$.each(data.data.countData, function(index, item) {
							var WHETHER = '是';
							if (!item.TransferFrom) {
								WHETHER = '否';
							}

							html += '<tr>';
							html += '<td>'+storeArr[item.MID]+'</td>';
							html += '<td>'+item.XDate+'</td>';
							html += '<td>'+item.TX_NO+'</td>';
							html += '<td>'+item.Room+'</td>';
							html += '<td>'+item.CustomerName+'</td>';
							html += '<td>'+item.Amount+'</td>';
							html += '<td>'+item.Description+'</td>';
							html += '<td>'+item.RefNo+'</td>';
							html += '<td>'+item.GroupCode+'</td>';
							html += '<td>'+WHETHER+'</td>';
							html += '<td>'+item.TransferFrom+'</td>';
							html += '</tr>';
						});
						$$('.tbody').html(html);
					}
				}
			}
		});
	}

});