//  获取门店数据列表
$$.ajax({
	url: URL + 'Web/WebReport/getStroeList',
	method: 'POST',
	data: {
		is_ajax: 1,
		token: localStorage.getItem('token'),
	},
	dataType: 'json',
	error: function(err) {
		console.log(err);
	},
	success: function(data) {
		$$.each(data.data, function(index, item) {
			var newHTML = '<option>'+item.Name+'</option>';
			$$('select').append(newHTML);
		});
	}
});

$$('.yes').on('click', function() {
	var $dateEnd = $$('#date-end').val();

	if ($dateEnd == '') {
		app.alert('温馨提示', '请选择日期后再查询。');
	} else {
		app.showPreloader('数据加载中');
		$$.ajax({
			url: URL + 'Web/WebReport/mpxstjGetCountData',
			method: 'POST',
			data: {
				is_ajax: 1,
				token: localStorage.getItem('token'),
				stime: $dateEnd,
				etime: $dateEnd,
				type: 3,
			},
			dataType: 'json',
			success: function(data) {
				console.log(data);
				app.hidePreloader();

				var html = '';
				if (data.data.countData.length > 0) {
					$$.each(data.data.countData, function(index, item) {
						html += '<tr>';
						html += '<td>'+item.typeName+'</td>';
						html += '<td>'+item.todayRoomNum+'</td>';
						html += '<td>'+item.todayARAmount+'</td>';
						html += '<td>'+item.monthRoomNum+'</td>';
						html += '<td>'+item.monthARAmount+'</td>';
						html += '</tr>';
					});
					$$('.tbody').html(html);
				} else {
					app.alert('温馨提示', '您查询的日期没有数据，请查询其他日期。');
				}
			}
		});
	}
});