//  获取门店数据列表
$$.ajax({
	url: URL + 'Web/WebReport/getStroeList',
	method: 'POST',
	data: {
		is_ajax: 1,
		token: localStorage.getItem('token'),
	},
	dataType: 'json',
	error: function(err) {
		console.log(err);
	},
	success: function(data) {
		$$.each(data.data, function(index, item) {
			var newHTML = '<option>'+item.Name+'</option>';
			$$('select').append(newHTML);
		});
	}
});

$$('.yes').on('click', function() {
	var $total = $$('.total');
	var $consumptionTotal = $$('.consumption-total');
	var $start = $$('.start');
	var $end = $$('.end');
	var $dateEnd = $$('#date-end').val();

	if ($dateEnd == '') {
		app.alert('温馨提示', '请选择日期后再查询。');
	} else {
		app.showPreloader('加载中');
		$$.ajax({
			url: URL + 'Web/HotelReport/jdzb',
			method: 'POST',
			data: {
				is_ajax: 1,
				token: localStorage.getItem('token'),
				df: $dateEnd
			},
			dataType: 'json',
			success: function(data) {
				console.log(data);
				app.hidePreloader();

				$total.text((data.data[0]).toFixed(2) + '元');
				$consumptionTotal.text((data.data[1]).toFixed(2) + '元');
				if (data.data[2]) {
					$start.text((data.data[2]).toFixed(2) + '元');
				}
				if (data.data[3]) {
					$end.text((data.data[3]).toFixed(2) + '元');
				}


				// 收款统计
				if (data.data[4].length > 0) {
					var receivablesHTML = '';
					$$.each(data.data[4], function(index, item) {
						receivablesHTML += '<tr>';
						receivablesHTML += '<td>'+item.Description+'</td>';
						receivablesHTML += '<td>'+item.Amount+'元'+'</td>';
						receivablesHTML += '<tr>';
					});
				}
				$$('.receivables').html(receivablesHTML);

				// 消费统计
				if (data.data[5].length > 0) {
					var consumptionHTML = '';
					$$.each(data.data[5], function(index, item) {
						consumptionHTML += '<tr>';
						consumptionHTML += '<td>'+item.Description+'</td>';
						consumptionHTML += '<td>'+item.Amount+'元'+'</td>';
						consumptionHTML += '<tr>';
					});
				}
				$$('.consumption').html(consumptionHTML);
			}
		});
	}
});