//  获取门店数据列表
$$.ajax({
	url: URL + 'Web/WebReport/getStroeList',
	method: 'POST',
	data: {
		is_ajax: 1,
		token: localStorage.getItem('token'),
	},
	dataType: 'json',
	error: function(err) {
		console.log(err);
	},
	success: function(data) {
		$$.each(data.data, function(index, item) {
			var newHTML = '<option>'+item.Name+'</option>';
			$$('select').append(newHTML);
		});
	}
});

$$('.yes').on('click', function() {
	initGetData('F', 3);
});

initGetData('T', 1);
function initGetData(fl, type) {
	app.showPreloader('数据加载中');
	$$.ajax({
		url: URL + 'Web/HotelReport/room_status',
		method: 'POST',
		data: {
			is_ajax: 1,
			token: localStorage.getItem('token'),
			fl: fl,
			type: type
		},
		dataType: 'json',
		success: function(data) {
			console.log(data);
			app.hidePreloader();

			var $roomTotal = $$('.room-total');
			var $roomOccupy = $$('.room-occupy');
			var $roomProbability = $$('.room-probability');
			var $mayNo = $$('.may-no');
			var $so = $$('.so');

			var so = data.data[0] - (data.data[1] + data.data[2]);
			var roomProbability = (((data.data[1]) * 100) / (data.data[0])).toFixed(2);
			$roomTotal.text(data.data[0] + '间');
			$roomOccupy.text(data.data[1]+'间');
			$roomProbability.text(roomProbability + '%');
			$mayNo.text(data.data[2]+'间');
			$so.text(so+'间');
			
			$$.each(data.data[7], function(index, item) {
				if (item.CurrentStatus == 'VR') {
					item.CustomerName = '可用房';
				} else if (item.CurrentStatus == 'VD') {
					item.CustomerName = '脏房';
				} else if (item.CurrentStatus == 'OO') {
					item.CustomerName = '停用房';
				} else if (item.CurrentStatus == 'OD') {
					item.CustomerName = '占用脏';
				}
				var newHTML = '<a href="javascript:;" class="'+item.CurrentStatus+'">\
							<span class="room-number">'+item.Description+'</span>\
							<span class="room-name">'+item.CustomerName+'</span>\
						</a>';
				$$('.room-container').append(newHTML);
			});
		}
	});
}