// 初始化应用 Framework7
var app = new Framework7({
	router: false
});

var month = ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月' , '9月' , '10月', '11月', '12月'];
var dataStart = app.calendar({
	input: '#date-start',
	dayNamesShort: ['日', '一', '二', '三', '四', '五', '六',],
	direction: 'vertical',
	maxDate: [new Date()],
	toolbarTemplate: '<div class="toolbar calendar-custom-toolbar">' +
					'<div class="toolbar-inner">' +
						'<div class="left">' +
							'<a href="#" class="link icon-only"><i class="icon icon-back"></i></a>' +
						'</div>' +
						'<div class="center">sdfsdfsdf</div>' +
						'<div class="right">' +
							'<a href="#" class="link icon-only"><i class="icon icon-forward"></i></a>' +
						'</div>' +
					'</div>' +
				'</div>',
	onDayClick: function(p, dayContainer, year, month, day) {
		console.log(year+month+day);
		dataStart.close();
	},
	onOpen: function (p) {
		$$('.calendar-custom-toolbar .center').text(month[p.currentMonth] +', ' + p.currentYear);
		$$('.calendar-custom-toolbar .left .link').on('click', function () {
			dataStart.prevMonth();
		});
		$$('.calendar-custom-toolbar .right .link').on('click', function () {
			dataStart.nextMonth();
		});
	},
	onMonthYearChangeStart: function (p) {
		$$('.calendar-custom-toolbar .center').text(month[p.currentMonth] +', ' + p.currentYear);
	}
});

var dataEnd = app.calendar({
	input: '#date-end',
	dayNamesShort: ['日', '一', '二', '三', '四', '五', '六',],
	direction: 'vertical',
	// value: [new Date()],
	maxDate: [new Date()],
	toolbarTemplate: '<div class="toolbar calendar-custom-toolbar">' +
					'<div class="toolbar-inner">' +
						'<div class="left">' +
							'<a href="#" class="link icon-only"><i class="icon icon-back"></i></a>' +
						'</div>' +
						'<div class="center">sdfsdfsdf</div>' +
						'<div class="right">' +
							'<a href="#" class="link icon-only"><i class="icon icon-forward"></i></a>' +
						'</div>' +
					'</div>' +
				'</div>',
	onDayClick: function(p, dayContainer, year, month, day) {
		console.log(year+month+day);
		dataEnd.close();
	},
	onOpen: function (p) {
		$$('.calendar-custom-toolbar .center').text(month[p.currentMonth] +', ' + p.currentYear);
		$$('.calendar-custom-toolbar .left .link').on('click', function () {
			dataEnd.prevMonth();
		});
		$$('.calendar-custom-toolbar .right .link').on('click', function () {
			dataEnd.nextMonth();
		});
	},
	onMonthYearChangeStart: function (p) {
		$$('.calendar-custom-toolbar .center').text(month[p.currentMonth] +', ' + p.currentYear);
	}
});